Index: /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/boss_warbringer_omrogg.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/boss_warbringer_omrogg.cpp (revision 166)
+++ /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/boss_warbringer_omrogg.cpp (revision 260)
@@ -395,9 +395,9 @@
     newscript->Name="boss_warbringer_omrogg";
     newscript->GetAI = GetAI_boss_warbringer_omrogg;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_omrogg_heads";
     newscript->GetAI = GetAI_mob_omrogg_heads;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/boss_nethekurse.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/boss_nethekurse.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/boss_nethekurse.cpp (revision 260)
@@ -445,14 +445,14 @@
     newscript->Name="boss_grand_warlock_nethekurse";
     newscript->GetAI = GetAI_boss_grand_warlock_nethekurse;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_fel_orc_convert";
     newscript->GetAI = GetAI_mob_fel_orc_convert;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_lesser_shadow_fissure";
     newscript->GetAI = GetAI_mob_lesser_shadow_fissure;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/instance_shattered_halls.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/instance_shattered_halls.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/shattered_halls/instance_shattered_halls.cpp (revision 260)
@@ -111,4 +111,4 @@
     newscript->Name = "instance_shattered_halls";
     newscript->GetInstanceData = GetInstanceData_instance_shattered_halls;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/magtheridons_lair/instance_magtheridons_lair.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/magtheridons_lair/instance_magtheridons_lair.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/magtheridons_lair/instance_magtheridons_lair.cpp (revision 260)
@@ -283,4 +283,4 @@
     newscript->Name = "instance_magtheridons_lair";
     newscript->GetInstanceData = GetInstanceData_instance_magtheridons_lair;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/magtheridons_lair/boss_magtheridon.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/magtheridons_lair/boss_magtheridon.cpp (revision 203)
+++ /trunk/src/bindings/scripts/scripts/zone/hellfire_citadel/magtheridons_lair/boss_magtheridon.cpp (revision 260)
@@ -546,20 +546,20 @@
     newscript->Name="boss_magtheridon";
     newscript->GetAI = GetAI_boss_magtheridon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_hellfire_channeler";
     newscript->GetAI = GetAI_mob_hellfire_channeler;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="go_manticron_cube";
     newscript->pGOHello = &GOHello_go_Manticron_Cube;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_abyssal";
     newscript->GetAI = GetAI_mob_abyssalAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_teron_gorefiend.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_teron_gorefiend.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_teron_gorefiend.cpp (revision 260)
@@ -576,14 +576,14 @@
     newscript->Name = "mob_doom_blossom";
     newscript->GetAI = GetAI_mob_doom_blossom;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_shadowy_construct";
     newscript->GetAI = GetAI_mob_shadowy_construct;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_teron_gorefiend";
     newscript->GetAI = GetAI_boss_teron_gorefiend;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/black_temple.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/black_temple.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/black_temple.cpp (revision 260)
@@ -65,4 +65,4 @@
     newscript->pGossipHello = GossipHello_npc_spirit_of_olum;
     newscript->pGossipSelect = GossipSelect_npc_spirit_of_olum;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_illidan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_illidan.cpp (revision 239)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_illidan.cpp (revision 260)
@@ -2248,5 +2248,5 @@
     newscript->Name = "boss_illidan_stormrage";
     newscript->GetAI = GetAI_boss_illidan_stormrage;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -2255,44 +2255,44 @@
     newscript->pGossipHello = GossipHello_npc_akama_at_illidan;
     newscript->pGossipSelect = GossipSelect_npc_akama_at_illidan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "boss_maiev_shadowsong";
     newscript->GetAI = GetAI_boss_maiev;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_flame_of_azzinoth";
     newscript->GetAI = GetAI_mob_flame_of_azzinoth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_blade_of_azzinoth";
     newscript->GetAI = GetAI_blade_of_azzinoth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "gameobject_cage_trap";
     newscript->pGOHello = GOHello_cage_trap;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_cage_trap_trigger";
     newscript->GetAI = &GetAI_cage_trap_trigger;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_shadow_demon";
     newscript->GetAI = GetAI_shadow_demon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_demon_fire";
     newscript->GetAI = GetAI_demonfire;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_parasitic_shadowfiend";
     newscript->GetAI = GetAI_parasitic_shadowfiend;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_mother_shahraz.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_mother_shahraz.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_mother_shahraz.cpp (revision 260)
@@ -358,4 +358,4 @@
     newscript->Name="boss_mother_shahraz";
     newscript->GetAI = GetAI_boss_shahraz;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/illidari_council.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/illidari_council.cpp (revision 108)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/illidari_council.cpp (revision 260)
@@ -856,29 +856,29 @@
     newscript->Name="mob_illidari_council";
     newscript->GetAI = GetAI_mob_illidari_council;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_blood_elf_council_voice_trigger";
     newscript->GetAI = GetAI_mob_blood_elf_council_voice_trigger;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_gathios_the_shatterer";
     newscript->GetAI = GetAI_boss_gathios_the_shatterer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lady_malande";
     newscript->GetAI = GetAI_boss_lady_malande;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_veras_darkshadow";
     newscript->GetAI = GetAI_boss_veras_darkshadow;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_high_nethermancer_zerevor";
     newscript->GetAI = GetAI_boss_high_nethermancer_zerevor;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/instance_black_temple.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/instance_black_temple.cpp (revision 178)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/instance_black_temple.cpp (revision 260)
@@ -333,4 +333,4 @@
     newscript->Name = "instance_black_temple";
     newscript->GetInstanceData = GetInstanceData_instance_black_temple;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_warlord_najentus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_warlord_najentus.cpp (revision 160)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_warlord_najentus.cpp (revision 260)
@@ -259,9 +259,9 @@
     newscript->Name="boss_najentus";
     newscript->GetAI = GetAI_boss_najentus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "go_najentus_spine";
     newscript->pGOHello = &GOHello_go_najentus_spine;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_shade_of_akama.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_shade_of_akama.cpp (revision 222)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_shade_of_akama.cpp (revision 260)
@@ -797,15 +797,15 @@
     newscript->Name="boss_shade_of_akama";
     newscript->GetAI = GetAI_boss_shade_of_akama;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_ashtongue_channeler";
     newscript->GetAI = GetAI_mob_ashtongue_channeler;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_ashtongue_sorcerer";
     newscript->GetAI = GetAI_mob_ashtongue_sorcerer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -814,4 +814,4 @@
     newscript->pGossipHello = &GossipHello_npc_akama;
     newscript->pGossipSelect = &GossipSelect_npc_akama;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_supremus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_supremus.cpp (revision 203)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_supremus.cpp (revision 260)
@@ -237,9 +237,9 @@
     newscript->Name="boss_supremus";
     newscript->GetAI = GetAI_boss_supremus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="molten_flame";
     newscript->GetAI = GetAI_molten_flame;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_bloodboil.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_bloodboil.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_bloodboil.cpp (revision 260)
@@ -362,4 +362,4 @@
     newscript->Name="boss_gurtogg_bloodboil";
     newscript->GetAI = GetAI_boss_gurtogg_bloodboil;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_reliquary_of_souls.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_reliquary_of_souls.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/black_temple/boss_reliquary_of_souls.cpp (revision 260)
@@ -724,24 +724,24 @@
     newscript->Name="boss_reliquary_of_souls";
     newscript->GetAI = GetAI_boss_reliquary_of_souls;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_essence_of_suffering";
     newscript->GetAI = GetAI_boss_essence_of_suffering;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_essence_of_desire";
     newscript->GetAI = GetAI_boss_essence_of_desire;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_essence_of_anger";
     newscript->GetAI = GetAI_boss_essence_of_anger;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_enslaved_soul";
     newscript->GetAI = GetAI_npc_enslaved_soul;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stonetalon_mountains/stonetalon_mountains.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stonetalon_mountains/stonetalon_mountains.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stonetalon_mountains/stonetalon_mountains.cpp (revision 260)
@@ -77,4 +77,4 @@
     newscript->pGossipHello = &GossipHello_npc_braug_dimspirit;
     newscript->pGossipSelect = &GossipSelect_npc_braug_dimspirit;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_warp_splinter.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_warp_splinter.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_warp_splinter.cpp (revision 260)
@@ -294,9 +294,9 @@
     newscript->Name="boss_warp_splinter";
     newscript->GetAI = GetAI_boss_warp_splinter;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_warp_splinter_treant";
     newscript->GetAI = GetAI_mob_treant;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_high_botanist_freywinn.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_high_botanist_freywinn.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_high_botanist_freywinn.cpp (revision 260)
@@ -212,4 +212,4 @@
     newscript->Name="boss_high_botanist_freywinn";
     newscript->GetAI = GetAI_boss_high_botanist_freywinn;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_laj.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_laj.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/botanica/boss_laj.cpp (revision 260)
@@ -195,4 +195,4 @@
     newscript->Name="boss_laj";
     newscript->GetAI = GetAI_boss_laj;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_kaelthas.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_kaelthas.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_kaelthas.cpp (revision 260)
@@ -1582,34 +1582,34 @@
     newscript->Name="boss_kaelthas";
     newscript->GetAI = GetAI_boss_kaelthas;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_thaladred_the_darkener";
     newscript->GetAI = GetAI_boss_thaladred_the_darkener;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lord_sanguinar";
     newscript->GetAI = GetAI_boss_lord_sanguinar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_grand_astromancer_capernian";
     newscript->GetAI = GetAI_boss_grand_astromancer_capernian;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_master_engineer_telonicus";
     newscript->GetAI = GetAI_boss_master_engineer_telonicus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name= "mob_kael_flamestrike";
     newscript->GetAI = GetAI_mob_kael_flamestrike;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_phoenix";
     newscript->GetAI = GetAI_mob_phoenix;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/the_eye.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/the_eye.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/the_eye.cpp (revision 260)
@@ -95,4 +95,4 @@
     newscript->Name="mob_crystalcore_devastator";
     newscript->GetAI = GetAI_mob_crystalcore_devastator;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_astromancer.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_astromancer.cpp (revision 204)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_astromancer.cpp (revision 260)
@@ -537,9 +537,9 @@
     newscript->Name="boss_high_astromancer_solarian";
     newscript->GetAI = GetAI_boss_high_astromancer_solarian;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_solarium_priest";
     newscript->GetAI = GetAI_mob_solarium_priest;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_alar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_alar.cpp (revision 158)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_alar.cpp (revision 260)
@@ -506,14 +506,14 @@
     newscript->Name="boss_alar";
     newscript->GetAI = GetAI_boss_alar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_ember_of_alar";
     newscript->GetAI = GetAI_mob_ember_of_alar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_flame_patch_alar";
     newscript->GetAI = GetAI_mob_flame_patch_alar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/instance_the_eye.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/instance_the_eye.cpp (revision 204)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/instance_the_eye.cpp (revision 260)
@@ -173,4 +173,4 @@
     newscript->Name = "instance_the_eye";
     newscript->GetInstanceData = GetInstanceData_instance_the_eye;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_void_reaver.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_void_reaver.cpp (revision 204)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_eye/boss_void_reaver.cpp (revision 260)
@@ -196,4 +196,4 @@
     newscript->Name="boss_void_reaver";
     newscript->GetAI = GetAI_boss_void_reaver;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/boss_harbinger_skyriss.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/boss_harbinger_skyriss.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/boss_harbinger_skyriss.cpp (revision 260)
@@ -368,9 +368,9 @@
     newscript->Name="boss_harbinger_skyriss";
     newscript->GetAI = GetAI_boss_harbinger_skyriss;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_harbinger_skyriss_illusion";
     newscript->GetAI = GetAI_boss_harbinger_skyriss_illusion;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/arcatraz.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/arcatraz.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/arcatraz.cpp (revision 260)
@@ -576,14 +576,14 @@
     newscript->Name="npc_millhouse_manastorm";
     newscript->GetAI = GetAI_npc_millhouse_manastorm;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_warden_mellichar";
     newscript->GetAI = GetAI_npc_warden_mellichar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_zerekethvoidzone";
     newscript->GetAI = GetAI_mob_zerekethvoidzoneAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/instance_arcatraz.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/instance_arcatraz.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/arcatraz/instance_arcatraz.cpp (revision 260)
@@ -221,4 +221,4 @@
     newscript->Name = "instance_arcatraz";
     newscript->GetInstanceData = GetInstanceData_instance_arcatraz;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_nethermancer_sepethrea.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_nethermancer_sepethrea.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_nethermancer_sepethrea.cpp (revision 260)
@@ -278,9 +278,9 @@
     newscript->Name="boss_nethermancer_sepethrea";    
     newscript->GetAI = GetAI_boss_nethermancer_sepethrea;    
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;    
     newscript->Name="mob_ragin_flames";    
     newscript->GetAI = GetAI_mob_ragin_flames;    
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/instance_mechanar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/instance_mechanar.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/instance_mechanar.cpp (revision 260)
@@ -87,4 +87,4 @@
     newscript->Name = "instance_mechanar";
     newscript->GetInstanceData = GetInstanceData_instance_mechanar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_gatewatcher_ironhand.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_gatewatcher_ironhand.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_gatewatcher_ironhand.cpp (revision 260)
@@ -158,4 +158,4 @@
     newscript->Name="boss_gatewatcher_iron_hand";    
     newscript->GetAI = GetAI_boss_gatewatcher_iron_hand;    
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_pathaleon_the_calculator.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_pathaleon_the_calculator.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/tempest_keep/the_mechanar/boss_pathaleon_the_calculator.cpp (revision 260)
@@ -298,9 +298,9 @@
     newscript->Name="boss_pathaleon_the_calculator";    
     newscript->GetAI = GetAI_boss_pathaleon_the_calculator;    
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;    
     newscript->Name="mob_nether_wraith";    
     newscript->GetAI = GetAI_mob_nether_wraith;    
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stormwind/stormwind_city.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stormwind/stormwind_city.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stormwind/stormwind_city.cpp (revision 260)
@@ -246,5 +246,5 @@
     newscript->pGossipHello = &GossipHello_npc_archmage_malin;
     newscript->pGossipSelect = &GossipSelect_npc_archmage_malin;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -252,5 +252,5 @@
     newscript->GetAI = GetAI_npc_bartleby;
     newscript->pQuestAccept = &QuestAccept_npc_bartleby;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -258,10 +258,10 @@
     newscript->GetAI = GetAI_npc_dashel_stonefist;
     newscript->pQuestAccept = &QuestAccept_npc_dashel_stonefist;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "npc_general_marcus_jonathan";
     newscript->pReceiveEmote = &ReceiveEmote_npc_general_marcus_jonathan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -269,4 +269,4 @@
     newscript->pGossipHello = &GossipHello_npc_lady_katrana_prestor;
     newscript->pGossipSelect = &GossipSelect_npc_lady_katrana_prestor;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_bug_trio.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_bug_trio.cpp (revision 109)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_bug_trio.cpp (revision 260)
@@ -335,14 +335,14 @@
     newscript->Name="boss_kri";
     newscript->GetAI = GetAI_boss_kri;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_vem";
     newscript->GetAI = GetAI_boss_vem;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_yauj";
     newscript->GetAI = GetAI_boss_yauj;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_huhuran.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_huhuran.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_huhuran.cpp (revision 260)
@@ -140,4 +140,4 @@
     newscript->Name="boss_huhuran";
     newscript->GetAI = GetAI_boss_huhuran;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_twinemperors.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_twinemperors.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/temple_of_ahnqiraj/boss_twinemperors.cpp (revision 260)
@@ -690,9 +690,9 @@
     newscript->Name="boss_veknilash";
     newscript->GetAI = GetAI_boss_veknilash;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_veklor";
     newscript->GetAI = GetAI_boss_veklor;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
